Subject: bug#44784: Combining accent is not combining

From: Stephen Berman <[email-masked]>
Date: Sun, 22 Nov 2020 11:12:03 +0100

On Sun, 22 Nov 2020 05:35:30 +0200 Eli Zaretskii <[email-masked]> wrote:

>> From: Juri Linkov <[email-masked]>
>> Cc: [email-masked]
>> Date: Sat, 21 Nov 2020 22:35:11 +0200
>> 
>> > Btw, the report by Emacs 27's "C-u C-x =", viz.:
>> >
>> >   Composed with the following character(s) "́" using this font:
>> >     xfthb:-PfEd-DejaVu Sans Mono-normal-normal-normal-*-22-*-*-*-m-0-iso10646-1
>> >   by these glyphs:
>> >     [0 1 1071 878 13 0 13 16 0 nil]
>> >     [0 1 769 649 13 4 11 17 -13 [0 0 0]]
>> >
>> > explicitly says that character composition _did_ happen here, it's
>> > just the display that is broken.  And I guess that moving point to
>> > these characters will show a "fat" cursor that includes both the base
>> > character and the accent, once again showing that Emacs did compose
>> > the accent with the preceding character.
>> 
>> Actually, separate cursor is shown on a character and separate on its
>> combining character, so it seems they are not composed.
>
> The 2 vectors you show above, let alone the "composed with" part,
> explicitly say they _were_ composed.  So something else is going on
> here.

I think it's a display problem with DejaVu Sans Mono, as you already
noted.  I also see what Juri sees, but when the cursor appears to be
over the separately displayed accent, `C-u C-x =' says the character at
point is SPC.

Steve Berman